Package icyllis.modernui.graphics.text

# Class FontFamily

java.lang.Object
icyllis.modernui.graphics.text.FontFamily

@Internal public final class FontFamily extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final FontFamily`
  `MONOSPACED`
  `static final FontFamily`
  `SANS_SERIF`
  `static final FontFamily`
  `SERIF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FontFamily(Font font)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FontFamily[]`
  `createFamilies(File file, boolean register)`
  `static FontFamily[]`
  `createFamilies(InputStream stream, boolean register)`
  `static FontFamily`
  `createFamily(File file, boolean register)`
  `static FontFamily`
  `createFamily(InputStream stream, boolean register)`
  `boolean`
  `equals(Object o)`
  `Font`
  `getClosestMatch(int style)`
  `String`
  `getFamilyName()`
  `String`
  `getFamilyName(Locale locale)`
  `static @UnmodifiableView Map<String,String>`
  `getSystemFontAliases()`
  `static @UnmodifiableView Map<String,FontFamily>`
  `getSystemFontMap()`
  `static FontFamily`
  `getSystemFontWithAlias(String name)`
  `boolean`
  `hasGlyph(int ch)`
  `boolean`
  `hasGlyph(int ch, int vs)`
  `int`
  `hashCode()`
  `boolean`
  `isColorEmojiFamily()`
  `boolean`
  `isEastAsianFamily()`
  Returns true if the family is very likely to be an East Asian family.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### SANS_SERIF

    public static final FontFamily SANS_SERIF

  - ### SERIF

    public static final FontFamily SERIF

  - ### MONOSPACED

    public static final FontFamily MONOSPACED

- ## Constructor Details

  - ### FontFamily

    public FontFamily(Font font)

- ## Method Details

  - ### getSystemFontMap

    public static @UnmodifiableView Map<String,FontFamily> getSystemFontMap()

  - ### getSystemFontAliases

    public static @UnmodifiableView Map<String,String> getSystemFontAliases()

  - ### getSystemFontWithAlias

    @Nullable public static FontFamily getSystemFontWithAlias(String name)

  - ### createFamily

    @NonNull public static FontFamily createFamily(@NonNull File file, boolean register) throws FontFormatException, IOException
    Throws:
      `FontFormatException`
      `IOException`

  - ### createFamily

    @NonNull public static FontFamily createFamily(@NonNull InputStream stream, boolean register) throws FontFormatException, IOException
    Throws:
      `FontFormatException`
      `IOException`

  - ### createFamilies

    @NonNull public static FontFamily[] createFamilies(@NonNull File file, boolean register) throws FontFormatException, IOException
    Throws:
      `FontFormatException`
      `IOException`

  - ### createFamilies

    @NonNull public static FontFamily[] createFamilies(@NonNull InputStream stream, boolean register) throws FontFormatException, IOException
    Throws:
      `FontFormatException`
      `IOException`

  - ### getClosestMatch

    public Font getClosestMatch(int style)

  - ### isEastAsianFamily

    public boolean isEastAsianFamily()
    Returns true if the family is very likely to be an East Asian family. Even true, the family can still be used for other scripts.

  - ### isColorEmojiFamily

    public boolean isColorEmojiFamily()

  - ### hasGlyph

    public boolean hasGlyph(int ch)

  - ### hasGlyph

    public boolean hasGlyph(int ch, int vs)

  - ### getFamilyName

    public String getFamilyName()

  - ### getFamilyName

    public String getFamilyName(Locale locale)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`